io.etcd.jetcd.cluster

## Class MemberListResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<MemberListResponse>
  - - io.etcd.jetcd.cluster.MemberListResponse

All Implemented Interfaces:
  Response

    public class MemberListResponse
    extends AbstractResponse<MemberListResponse>

MemberListResponse returned by `Cluster.listMember()` contains a header and a list of members.

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`MemberListResponse(MemberListResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Member>` `getMembers()` returns a list of members.

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MemberListResponse

    public MemberListResponse(MemberListResponse response)

### Method Detail

#### getMembers

    public List<Member> getMembers()

returns a list of members. empty list if none.